<?php
/*
+----------------------------------------------------------------+
|																							|
|	WordPress 2.5 Plugin: WP-Print 2.31										|
|	Copyright (c) 2008 Lester "GaMerZ" Chan									|
|																							|
|	File Written By:																	|
|	- Lester "GaMerZ" Chan															|
|	- http://lesterchan.net															|
|																							|
|	File Information:																	|
|	- Print Options Page																|
|	- wp-content/plugins/wp-print/print-options.php						|
|																							|
+----------------------------------------------------------------+
*/


### Variables Variables Variables
$base_name = plugin_basename('wp-print/print-options.php');
$base_page = 'admin.php?page='.$base_name;
$id = intval($_GET['id']);
$mode = trim($_GET['mode']);
$print_settings = array('print_options');


### Form Processing
// Update Options
if(!empty($_POST['Submit'])) {
	$print_options = array();
	$print_options['post_text'] = addslashes(trim($_POST['print_post_text']));
	$print_options['page_text'] = addslashes(trim($_POST['print_page_text']));
	$print_options['print_icon'] = trim($_POST['print_icon']);
	$print_options['print_style'] = intval($_POST['print_style']);
	$print_options['print_html'] = trim($_POST['print_html']);
	$print_options['comments'] = intval($_POST['print_comments']);
	$print_options['links'] = intval($_POST['print_links']);
	$print_options['images'] = intval($_POST['print_images']);
	$print_options['videos'] = intval($_POST['print_videos']);
	$print_options['text_direction'] = trim($_POST['print_text_direction']);
	$print_options['disclaimer'] = trim($_POST['print_disclaimer']);
	$update_print_queries = array();
	$update_print_text = array();
	$update_print_queries[] = update_option('print_options', $print_options);
	$update_print_text[] = __('خيارات الطباعة', 'wp-print');
	$i=0;
	$text = '';
	foreach($update_print_queries as $update_print_query) {
		if($update_print_query) {
			$text .= '<font color="green">'.$update_print_text[$i].' '.__('تم التحديث', 'wp-print').'</font><br />';
		}
		$i++;
	}
	if(empty($text)) {
		$text = '<font color="red">'.__('لم يتم تحديث خيارات الطباعة', 'wp-print').'</font>';
	}
}
// Uninstall WP-Print
if(!empty($_POST['do'])) {
	switch($_POST['do']) {		
		case __('الغاء تثبيت اضافة WP-Print', 'wp-print') :
			if(trim($_POST['uninstall_print_yes']) == 'yes') {
				echo '<div id="message" class="updated fade">';
				echo '<p>';
				foreach($print_settings as $setting) {
					$delete_setting = delete_option($setting);
					if($delete_setting) {
						echo '<font color="green">';
						printf(__('اعدادات المفتاح \'%s\'لقد تم حذفها.', 'wp-print'), "<strong><em>{$setting}</em></strong>");
						echo '</font><br />';
					} else {
						echo '<font color="red">';
						printf(__('خطأ في حذف اعدادات المفتاح \'%s\'.', 'wp-print'), "<strong><em>{$setting}</em></strong>");
						echo '</font><br />';
					}
				}
				echo '</p>';
				echo '</div>'; 
				$mode = 'end-UNINSTALL';
			}
			break;
	}
}

### Determines Which Mode It Is
switch($mode) {
		//  Deactivating WP-Print
		case 'end-UNINSTALL':
			$deactivate_url = 'plugins.php?action=deactivate&amp;plugin=wp-print/wp-print.php';
			if(function_exists('wp_nonce_url')) { 
				$deactivate_url = wp_nonce_url($deactivate_url, 'deactivate-plugin_wp-print/wp-print.php');
			}
			echo '<div class="wrap">';
			echo '<h2>'.__('إلغاء تثبيت اضافة WP-Print', 'wp-print').'</h2>';
			echo '<p><strong>'.sprintf(__('<a href="%s">Click Here</a> To Finish The Uninstallation And WP-Print Will Be Deactivated Automatically.', 'wp-print'), $deactivate_url).'</strong></p>';
			echo '</div>';
			break;
	// Main Page
	default:
	$print_options = get_option('print_options');
?>
<script type="text/javascript">
	/* <![CDATA[*/
	function check_print_style() {
		print_style_options = document.getElementById("print_style").value;
		if (print_style_options == 4) {
				document.getElementById("print_style_custom").style.display = 'block';
		} else {
			if(document.getElementById("print_style_custom").style.display == 'block') {
				document.getElementById("print_style_custom").style.display = 'none';
			}
		}
	}
	function print_default_templates(template) {
		var default_template;
		switch(template) {
			case 'html':
				default_template = '<a href="%PRINT_URL%" rel="nofollow" title="%PRINT_TEXT%">%PRINT_TEXT%</a>';
				break;
			case 'disclaimer':
				default_template = '<?php echo js_escape(sprintf(__('جميع الحقوق محفوظة ل%s © %s .', 'wp-print'), get_option('blogname'), date('Y'))); ?>';
				break;
		}
		document.getElementById("print_template_" + template).value = default_template;
	}
	/* ]]> */
</script>
<?php if(!empty($text)) { echo '<!-- Last Action --><div id="message" class="updated fade"><p>'.$text.'</p></div>'; } ?>
<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"> 
<div class="wrap"> 
	<h2><?php _e('خيارات الطباعة', 'wp-print'); ?></h2> 
	<h3><?php _e('نمط الطباعة', 'wp-print'); ?></h3>
	<table class="form-table">
		<tr>
			<th scope="row" valign="top"><?php _e('نص رابط الطباعة للتدوينة', 'wp-print'); ?></th>
			<td>
				<input type="text" name="print_post_text" value="<?php echo stripslashes($print_options['post_text']); ?>" size="30" />
			</td>
		</tr>
		<tr>
			<th scope="row" valign="top"><?php _e('نص رابط الطباعة للصفحة', 'wp-print'); ?></th>
			<td>
				<input type="text" name="print_page_text" value="<?php echo stripslashes($print_options['page_text']); ?>" size="30" />
			</td>
		</tr>
		<tr>
			<th scope="row" valign="top"><?php _e('ايقونة الطباعة', 'wp-print'); ?></th>
			<td>
				<?php
					$print_icon = $print_options['print_icon'];
					$print_icon_url =WP_PLUGIN_URL.'/wp-print/images';
					$print_icon_path = WP_PLUGIN_DIR.'/wp-print/images';
					if($handle = @opendir($print_icon_path)) {     
						while (false !== ($filename = readdir($handle))) {  
							if ($filename != '.' && $filename != '..') {
								if(is_file($print_icon_path.'/'.$filename)) {
									if($print_icon == $filename) {
										echo '<input type="radio" name="print_icon" value="'.$filename.'" checked="checked" />'."\n";										
									} else {
										echo '<input type="radio" name="print_icon" value="'.$filename.'" />'."\n";
									}
									echo '&nbsp;&nbsp;&nbsp;';
									echo '<img src="'.$print_icon_url.'/'.$filename.'" alt="'.$filename.'" />'."\n";
									echo '&nbsp;&nbsp;&nbsp;('.$filename.')';
									echo '<br /><br />'."\n";
								}
							} 
						} 
						closedir($handle);
					}
				?>
			</td>
		</tr>
		<tr>
			<th scope="row" valign="top"><?php _e('نمط رابط نص الطباعة', 'wp-print'); ?></th>
			<td>
				<select name="print_style" id="print_style" size="1" onchange="check_print_style();">
					<option value="1"<?php selected('1', $print_options['print_style']); ?>><?php _e('ايقونة الطباعة مع نص رابط الطباعة', 'wp-print'); ?></option>
					<option value="2"<?php selected('2', $print_options['print_style']); ?>><?php _e('ايقونة الطباعة فقط', 'wp-print'); ?></option>
					<option value="3"<?php selected('3', $print_options['print_style']); ?>><?php _e('نص رابط الطباعة فقط', 'wp-print'); ?></option>
					<option value="4"<?php selected('4', $print_options['print_style']); ?>><?php _e('مخصص', 'wp-print'); ?></option>
				</select>
				<div id="print_style_custom" style="display: <?php if(intval($print_options['print_style']) == 4) { echo 'block'; } else { echo 'none'; } ?>; margin-top: 20px;">
					<textarea rows="2" cols="80" name="print_html" id="print_template_html"><?php echo htmlspecialchars(stripslashes($print_options['print_html'])); ?></textarea><br />
					<?php _e('اكواد الـ HTML مسموحة.', 'wp-print'); ?><br />
					%PRINT_URL% - <?php _e('عنوان الطباعة لـ التدوينة/الصفحة.', 'wp-print'); ?><br />
					%PRINT_TEXT% - <?php _e('طباعة النص من وصلة من التدوينة/الصفحة  لديك مطبوعة اعلاه.', 'wp-print'); ?><br />
					%PRINT_ICON_URL% - <?php _e('طباعة النص من وصلة من التدوينة/الصفحة  لديك مطبوعة اعلاه.', 'wp-print'); ?><br />
					<input type="button" name="RestoreDefault" value="<?php _e('استعادة النموذج الإفتراضي', 'wp-print'); ?>" onclick="print_default_templates('html');" class="button" />
				</div>
			</td>
		</tr>
	</table>
	<h3><?php _e('خيارات الطباعة', 'wp-print'); ?></h3>
	<table class="form-table">
		 <tr>
			<th scope="row" valign="top"><?php _e('طباعة التعليقات', 'wp-print'); ?></th>
			<td>
				<select name="print_comments" size="1">
					<option value="1"<?php selected('1', $print_options['comments']); ?>><?php _e('نعم', 'wp-print'); ?></option>
					<option value="0"<?php selected('0', $print_options['comments']); ?>><?php _e('لا', 'wp-print'); ?></option>
				</select>
			</td>
		</tr>
		<tr> 
			<th scope="row" valign="top"><?php _e('تضمين الروابط في الطباعة', 'wp-print'); ?></th>
			<td>
				<select name="print_links" size="1">
					<option value="1"<?php selected('1', $print_options['links']); ?>><?php _e('نعم', 'wp-print'); ?></option>
					<option value="0"<?php selected('0', $print_options['links']); ?>><?php _e('لا', 'wp-print'); ?></option>
				</select>
			</td> 
		</tr>
		<tr> 
			<th scope="row" valign="top"><?php _e('تضمين الصور في الطباعة', 'wp-print'); ?></th>
			<td>
				<select name="print_images" size="1">
					<option value="1"<?php selected('1', $print_options['images']); ?>><?php _e('نعم', 'wp-print'); ?></option>
					<option value="0"<?php selected('0', $print_options['images']); ?>><?php _e('لا', 'wp-print'); ?></option>
				</select>
			</td> 
		</tr>
		<tr> 
			<th scope="row" valign="top"><?php _e('تضمين الفيديو في الطباعة', 'wp-print'); ?></th>
			<td>
				<select name="print_videos" size="1">
					<option value="1"<?php selected('1', $print_options['videos']); ?>><?php _e('نعم', 'wp-print'); ?></option>
					<option value="0"<?php selected('0', $print_options['videos']); ?>><?php _e('لا', 'wp-print'); ?></option>
				</select>
			</td> 
		</tr>
		<tr> 
			<th scope="row" valign="top"><?php _e('اتجاه النص', 'wp-print'); ?></th>
			<td>
				<select name="print_text_direction" size="1">
					<option value="ltr"<?php selected('ltr', $print_options['text_direction']); ?>><?php _e('من اليسار لليمين', 'wp-print'); ?></option>
					<option value="rtl"<?php selected('rtl', $print_options['text_direction']); ?>><?php _e('من اليمين لليسار', 'wp-print'); ?></option>
				</select>
			</td> 
		</tr>
		<tr> 
			<th scope="row" valign="top">				
				<?php _e('وضع تنبيه حقوق الطباعة والنشر', 'wp-print'); ?>
				<br /><br />
				<input type="button" name="RestoreDefault" value="<?php _e('استعادة النموذج الإفتراضي', 'wp-print'); ?>" onclick="print_default_templates('disclaimer');" class="button" />
			</th>
			<td>
				<textarea rows="2" cols="80" name="print_disclaimer" id="print_template_disclaimer"><?php echo htmlspecialchars(stripslashes($print_options['disclaimer'])); ?></textarea><br /><?php _e('اكواد الـ HTML مسموحة.', 'wp-print'); ?><br />					
			</td> 
		</tr>
	</table>
	<p class="submit">
		<input type="submit" name="Submit" class="button" value="<?php _e('حفظ التغيرات', 'wp-print'); ?>" />
	</p>
</div>
</form> 
<p>&nbsp;</p>

<!-- Uninstall WP-Print -->
<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"> 
<div class="wrap"> 
	<h2><?php _e('إلغاء تثبيت اضافة WP-Print', 'wp-print'); ?></h2>
	<p style="text-align: right;">
		<?php _e('تنبيه: تعطيل الإضافة WP-Print لا يزيل اي من البيانات المنشأة ، مثل خيارات الطباعة لإزالة الإضافة تماماً يمكنك الغاء التثبيت من هنا', 'wp-print'); ?>
	</p>
	<p style="text-align: right; color: red">
		<strong><?php _e('تحذير:', 'wp-print'); ?></strong><br />
		<?php _e('إلغاء تثبيت مرة واحدة ، و لا يمكنك التراجع. يجب عليك ان استخدام قاعدة بيانات احتياطية من الإضافة لإرجاع  جميع البيانات السابقة.', 'wp-print'); ?>
	</p>
	<p style="text-align: right; color: red">
		<strong><?php _e('الخيارات التالية سيتم حذفها:', 'wp-print'); ?></strong><br />
	</p>
	<table class="widefat">
		<thead>
			<tr>
				<th><?php _e('خيارات الوورد بريس', 'wp-print'); ?></th>
			</tr>
		</thead>
		<tr>
			<td valign="top">
				<ol>
				<?php
					foreach($print_settings as $settings) {
						echo '<li>'.$settings.'</li>'."\n";
					}
				?>
				</ol>
			</td>
		</tr>
	</table>
	<p>&nbsp;</p>
	<p style="text-align: center;">
		<input type="checkbox" name="uninstall_print_yes" value="yes" />&nbsp;<?php _e('نعم', 'wp-print'); ?><br /><br />
		<input type="submit" name="do" value="<?php _e('الغاء تثبيت اضافة WP-Print', 'wp-print'); ?>" class="button" style="text-align: right;" onclick="return confirm('<?php _e('.\ عند الغاء التثبيت لا يمكنك الرجوع .\n\n اختر [الغاء] للتوقف ، و[موافق] لإلغاء التثبيت WP-Print انت على وشك الغاء تثبيت اضافة ، ', 'wp-print'); ?>')" />
	</p>
</div> 
</form>
<?php
} // End switch($mode)
?>
